package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.Project.CurrentProjectPass;
public class DropAnalyses extends CurrentProjectPass {
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return super.canStart(args) && (Global.mainModule.getSapfor() != null);
    }
    @Override
    protected void body() throws Exception {
        Global.mainModule.getSapfor().ResetAllAnalyses();
    }
}
